Page MenuHomePhabricator

export unique symbol list for xcoff with llvm-objdump new option "--export-unique-symbol"
AbandonedPublic

Authored by DiggerLin on Oct 19 2021, 3:11 PM.

Details

Reviewers
jhenderson
hubert.reinterpretcast
Esme
MaskRay
daltenty
DiggerLin
sfertile
Group Reviewers
Restricted Project
Summary

the patch implement of following functionality.

  1. export the symbols of the xcoff archive or object files. (export the extern and extern weak symbol)
  2. delete the duplicate export symbols (which has same symbol name and visibility)
  3. sort the export symbols.
  4. print out the unique and sorted export symbols (print the symbol name and visibility).

there new options are add in the patch

  1. --export-unique-symbol (enable the functionality of export unique symbol for xcoff)
  2. --exclude-weak (exclude the weak symbol from be exporting)
  3. --exclude-rsrc (exclude the symbol name begin with "__rsrc" from be exporting.

The patch has the same functionality as
IBM CreateExportList
The patch has copied same code from patch https://reviews.llvm.org/D82549[AIX][XCOFF] parsing xcoff object file auxiliary header

after the patch D82549 approved, I will rebase the patch.

Diff Detail

Event Timeline

DiggerLin created this revision.Oct 19 2021, 3:11 PM
DiggerLin requested review of this revision.Oct 19 2021, 3:11 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 19 2021, 3:11 PM
DiggerLin retitled this revision from export unique symbol list for xcoff to export unique symbol list for xcoff with llvm-objdump new option "--export-unique-symbol".Oct 19 2021, 3:12 PM
DiggerLin added a reviewer: Restricted Project.
DiggerLin edited the summary of this revision. (Show Details)
DiggerLin accepted this revision.Oct 26 2021, 10:34 AM

@jhenderson , if you have time , can you help to reviewed the patch . we target the patch at November 12 . thank in advance.

This revision is now accepted and ready to land.Oct 26 2021, 10:34 AM
DiggerLin requested review of this revision.EditedOct 26 2021, 10:35 AM

sorry for clicking approve the patch by myself.

rebase the code after the decode auxiliary header landed.

DiggerLin edited the summary of this revision. (Show Details)Oct 27 2021, 11:44 AM
DiggerLin edited the summary of this revision. (Show Details)
DiggerLin abandoned this revision.EditedOct 28 2021, 10:15 AM

since I approved the patch myself by accident and the patch do not have comments on it since I posted. I closed the patch and open a new one https://reviews.llvm.org/D112735 export unique symbol list for xcoff with llvm-objdump new option "--export-unique-symbol"